Updating to 3+ from 2.64.3+

More
1 month 3 weeks ago #175702 by Helenmd
Helenmd created the topic: Updating to 3+ from 2.64.3+
Hi,

I'm about to ask our IT Team to plan to upgrade our instance of LimeSurvey to the latest stable version. It would be a manual update.

I'm aware that there are major changes in 3+ (not least the template library), but I was wondering whether it is possible to upgrade the existing install, or whether we would be better going with a vanilla install and migrating the databases over?

Any suggestions/advice? They'll come back to me and ask these questions, so I'm trying to pre-empt them.


Many thanks in advance

Helen

Please Log in or Create an account to join the conversation.

More
1 month 3 weeks ago #175707 by DenisChenu
DenisChenu replied the topic: Updating to 3+ from 2.64.3+
1. Make a DB backup
2. Make a directory backup
3. Upgrade
4. See what happen
5. If you must revert : you have the backup …

OR
1. Make a DB backup
2. Make a directory backup
3. Put this backup on a dev/preprod server
4. Test
5. If ok , update production server …

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

More
1 month 3 weeks ago #175728 by tpartner
tpartner replied the topic: Updating to 3+ from 2.64.3+
OR (depending on the number if surveys)

1. Install a new instance if LimeSurvey 3 x

2. Develop the required themes in 3.x

3. Migrate surveys to 3.x via .lsa export/import

Cheers,
Tony Partner
Solutions, code and workarounds presented in these forums are given without any warranty, implied or otherwise.

Please Log in or Create an account to join the conversation.

More
1 month 1 week ago #176257 by dearaujoj
dearaujoj replied the topic: Updating to 3+ from 2.64.3+
Hi,

I have tested an update from 2.73 to 3.0 and got the error: "templates table doesn't have name column"

I have basically installed 3.0 on a new folder and connected it to the 2.73 DB and got the error.

I was expecting a schema upgrade process but nothing happened ...

if you have any suggestions on how to resolve this issue, they will be very welcomed :-)


Thank you
José

Please Log in or Create an account to join the conversation.

More
1 month 1 week ago #176259 by dearaujoj
dearaujoj replied the topic: Updating to 3+ from 2.64.3+
In fact, I forgot to remove the previous config file, by doing so the database update script is called but now I have the following error:

The table "{{tutorials}}" for active record class "Tutorials" cannot be found in the database.

Please Log in or Create an account to join the conversation.

More
1 month 1 week ago #176260 by dearaujoj
dearaujoj replied the topic: Updating to 3+ from 2.64.3+
After some investigations, it looked like the previous upgrade from 2.62 to 2.73 was not done correctly, therefore, there was some missing data in DB.
So I have done it again and then run the installation of 3.0 again and then it worked like a charm. So I guess you will be able to do the same from 2.64 to 3.+

Keep the good work folks :-)

Regards
José

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!